# Role : docker_nextcloud

## Services fournis

- main.yml : Installation de nextcloud sur un serveur docker_host

## Variables

Fournir les variables suivantes. Par exemple :

```yaml
docker_nextcloud_fqdn: nextcloud.example.com
docker_nextcloud_version: 23.0.3-apache
docker_nextcloud_data_dir: /data1
docker_nextcloud_service_id: nextcloud
docker_nextcloud_db: nextcloud
docker_nextcloud_db_user: nextcloud
docker_nextcloud_db_password: motdepassebdd
docker_nextcloud_smtp_host: smtp.example.com
docker_nextcloud_php_ini:
  php_upload_max_filesize = 512M
  php_post_max_size = 512M
  php_max_execution_time = 200
  php_memory_limit = 1024M
```

| Option                       | Valeur par défaut | Description                                                                                |
|------------------------------|-------------------|--------------------------------------------------------------------------------------------|
| docker_nextcloud_fqdn        |                   | Le fqdn pour accéder à nextcloud                                                           |
| docker_nextcloud_version     |                   | Version de l'image nextcloud                                                               |
| docker_nextcloud_data_dir    |                   | L'emplacement dans lequel se trouvent les volumes de donnees docker pour le service        |
| docker_nextcloud_service_id  |                   | Le nom de service souhaité : conditionne le nommage des dossiers et le routage par traefik |
| docker_nextcloud_db          |                   | Le nom de la base de données                                                               |
| docker_nextcloud_db_user     |                   | Le nom du user propriétaire de la base de données                                          |
| docker_nextcloud_db_password |                   | Le mot de passe du user propriétaire de la base de données                                 |
| docker_nextcloud_smtp_host   |                   | FQDN du serveur smtp pour l'envoi de mails par nextcloud                                   |
| docker_nextcloud_php_ini     |                   | Une liste de variables d'environnement pour la configuration de healtchecks                |


## Configuration de nextcloud

A compléter
